Bug 332481 - Konqueror Folder View Crash (Dolphin Dropbox plugin)
Summary: Konqueror Folder View Crash (Dolphin Dropbox plugin)
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: plugins: dropbox (show other bugs)
Version: 4.12.95
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords: drkonqi
: 332983 333185 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-03-23 18:16 UTC by Joachim Mairböck
Modified: 2015-07-11 22:25 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.13.0


Attachments
Console output from crash (7.68 KB, text/x-log)
2014-03-24 17:44 UTC, Joachim Mairböck
Details
Valgrind log (9.16 KB, text/plain)
2014-03-28 19:34 UTC, Joachim Mairböck
Details
New crash information added by DrKonqi (10.43 KB, text/plain)
2015-07-11 22:25 UTC, Simon Andric
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Mairböck 2014-03-23 18:16:48 UTC
Application: konqueror (4.12.95)
KDE Platform Version: 4.12.95
Qt Version: 4.8.5
Operating System: Linux 3.11.10-7-desktop i686
Distribution: "openSUSE 13.1 (Bottle) (i586)"

-- Information about the crash:
- What I was doing when the application crashed:
Konqueror hanged, therefore I killed and restarted it (via docked taskbar icon). It restored the session, but also showed my home folder (different bug?). Soon after restarting, it crashed. It still had not recored the home folder tab in Session Restore, because this one was not restored after the crash, so the crash happened rather early.

-- Backtrace:
Application: Konqueror (konqueror), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb546d740 (LWP 15976))]

Thread 7 (Thread 0xac4eeb40 (LWP 15978)):
#0  0xb6c2731e in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb599ecb0 in g_mutex_unlock (mutex=mutex@entry=0xabb004e0) at gthread-posix.c:232
#2  0xb595b0ce in g_main_context_prepare (context=context@entry=0xabb004e0, priority=priority@entry=0xac4ee178) at gmain.c:3338
#3  0xb595b9ff in g_main_context_iterate (context=context@entry=0xabb004e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3693
#4  0xb595bc48 in g_main_context_iteration (context=0xabb004e0, may_block=1) at gmain.c:3774
#5  0xb6de760f in QEventDispatcherGlib::processEvents (this=0xabb00468, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0xb6db6a03 in QEventLoop::processEvents (this=this@entry=0xac4ee288, flags=...) at kernel/qeventloop.cpp:149
#7  0xb6db6d29 in QEventLoop::exec (this=this@entry=0xac4ee288, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6ca530d in QThread::exec (this=this@entry=0x95157f0) at thread/qthread.cpp:536
#9  0xb6ca545b in QThread::run (this=0x95157f0) at thread/qthread.cpp:603
#10 0xb6ca7c5f in QThreadPrivate::start (arg=0x95157f0) at thread/qthread_unix.cpp:338
#11 0xb6c2407a in start_thread () from /lib/libpthread.so.0
#12 0xb5fa480e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xabaffb40 (LWP 15979)):
#0  0xb777d424 in __kernel_vsyscall ()
#1  0xb5f98e3b in poll () from /lib/libc.so.6
#2  0xb596a99b in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=1, __fds=__fds@entry=0xab102288) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xab102288, nfds=nfds@entry=1, timeout=timeout@entry=-1) at gpoll.c:132
#4  0xb595bb08 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0xab102288, timeout=-1, context=0xab1004e0) at gmain.c:4007
#5  g_main_context_iterate (context=context@entry=0xab1004e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3708
#6  0xb595bc48 in g_main_context_iteration (context=0xab1004e0, may_block=1) at gmain.c:3774
#7  0xb6de760f in QEventDispatcherGlib::processEvents (this=0xab100468, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#8  0xb6db6a03 in QEventLoop::processEvents (this=this@entry=0xabaff258, flags=...) at kernel/qeventloop.cpp:149
#9  0xb6db6d29 in QEventLoop::exec (this=this@entry=0xabaff258, flags=...) at kernel/qeventloop.cpp:204
#10 0xb6ca530d in QThread::exec (this=this@entry=0x9ac48c8) at thread/qthread.cpp:536
#11 0xb6d96e14 in QInotifyFileSystemWatcherEngine::run (this=0x9ac48c8) at io/qfilesystemwatcher_inotify.cpp:256
#12 0xb6ca7c5f in QThreadPrivate::start (arg=0x9ac48c8) at thread/qthread_unix.cpp:338
#13 0xb6c2407a in start_thread () from /lib/libpthread.so.0
#14 0xb5fa480e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xaa977b40 (LWP 15987)):
#0  0xb777d424 in __kernel_vsyscall ()
#1  0xb5f9c831 in select () from /lib/libc.so.6
#2  0xb6d939c0 in QProcessManager::run (this=0xb6f25d8c <processManager()::processManager>) at io/qprocess_unix.cpp:247
#3  0xb6ca7c5f in QThreadPrivate::start (arg=0xb6f25d8c <processManager()::processManager>) at thread/qthread_unix.cpp:338
#4  0xb6c2407a in start_thread () from /lib/libpthread.so.0
#5  0xb5fa480e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa9fffb40 (LWP 15999)):
#0  0xb777d424 in __kernel_vsyscall ()
#1  0xb5f98e3b in poll () from /lib/libc.so.6
#2  0xb596a99b in poll (__timeout=__timeout@entry=-1, __nfds=__nfds@entry=1, __fds=__fds@entry=0xa9602288) at /usr/include/bits/poll2.h:46
#3  g_poll (fds=fds@entry=0xa9602288, nfds=nfds@entry=1, timeout=timeout@entry=-1) at gpoll.c:132
#4  0xb595bb08 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0xa9602288, timeout=-1, context=0xa96004e0) at gmain.c:4007
#5  g_main_context_iterate (context=context@entry=0xa96004e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3708
#6  0xb595bc48 in g_main_context_iteration (context=0xa96004e0, may_block=1) at gmain.c:3774
#7  0xb6de760f in QEventDispatcherGlib::processEvents (this=0xa9600468, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#8  0xb6db6a03 in QEventLoop::processEvents (this=this@entry=0xa9fff258, flags=...) at kernel/qeventloop.cpp:149
#9  0xb6db6d29 in QEventLoop::exec (this=this@entry=0xa9fff258, flags=...) at kernel/qeventloop.cpp:204
#10 0xb6ca530d in QThread::exec (this=this@entry=0xa85f7e8) at thread/qthread.cpp:536
#11 0xb6d96e14 in QInotifyFileSystemWatcherEngine::run (this=0xa85f7e8) at io/qfilesystemwatcher_inotify.cpp:256
#12 0xb6ca7c5f in QThreadPrivate::start (arg=0xa85f7e8) at thread/qthread_unix.cpp:338
#13 0xb6c2407a in start_thread () from /lib/libpthread.so.0
#14 0xb5fa480e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa77ffb40 (LWP 16017)):
#0  g_main_context_prepare (context=context@entry=0xa629668, priority=priority@entry=0xa77ff148) at gmain.c:3335
#1  0xb595b9ff in g_main_context_iterate (context=context@entry=0xa629668, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3693
#2  0xb595bc48 in g_main_context_iteration (context=0xa629668, may_block=1) at gmain.c:3774
#3  0xb6de760f in QEventDispatcherGlib::processEvents (this=0xa60ef38, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#4  0xb6db6a03 in QEventLoop::processEvents (this=this@entry=0xa77ff258, flags=...) at kernel/qeventloop.cpp:149
#5  0xb6db6d29 in QEventLoop::exec (this=this@entry=0xa77ff258, flags=...) at kernel/qeventloop.cpp:204
#6  0xb6ca530d in QThread::exec (this=this@entry=0xa6223d0) at thread/qthread.cpp:536
#7  0xb6d96e14 in QInotifyFileSystemWatcherEngine::run (this=0xa6223d0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0xb6ca7c5f in QThreadPrivate::start (arg=0xa6223d0) at thread/qthread_unix.cpp:338
#9  0xb6c2407a in start_thread () from /lib/libpthread.so.0
#10 0xb5fa480e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa6ffeb40 (LWP 16018)):
[KCrash Handler]
#7  0xb777d424 in __kernel_vsyscall ()
#8  0xb5ee46a6 in raise () from /lib/libc.so.6
#9  0xb5ee5e33 in abort () from /lib/libc.so.6
#10 0xb5f23fd8 in __libc_message () from /lib/libc.so.6
#11 0xb5fb5bc5 in __fortify_fail () from /lib/libc.so.6
#12 0xb5fb3c2a in __chk_fail () from /lib/libc.so.6
#13 0xb5fb5ada in __fdelt_warn () from /lib/libc.so.6
#14 0xb5cf1142 in QLocalSocket::waitForConnected (this=0xa610020, msec=msec@entry=500) at socket/qlocalsocket_unix.cpp:525
#15 0xab203e90 in FileViewDropboxPlugin::connectWithDropbox (this=0xa6102b8, socket=..., timeout=FileViewDropboxPlugin::LongTimeout) at /usr/src/debug/dolphin-plugins-4.12.95/dropbox/fileviewdropboxplugin.cpp:215
#16 0xab203f32 in FileViewDropboxPlugin::beginRetrieval (this=0xa6102b8, directory=...) at /usr/src/debug/dolphin-plugins-4.12.95/dropbox/fileviewdropboxplugin.cpp:109
#17 0xac81045b in UpdateItemStatesThread::run (this=0xa647180) at /usr/src/debug/kde-baseapps-4.12.95/dolphin/src/views/versioncontrol/updateitemstatesthread.cpp:52
#18 0xb6ca7c5f in QThreadPrivate::start (arg=0xa647180) at thread/qthread_unix.cpp:338
#19 0xb6c2407a in start_thread () from /lib/libpthread.so.0
#20 0xb5fa480e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb546d740 (LWP 15976)):
#0  0xb777d424 in __kernel_vsyscall ()
#1  0xb5f9c831 in select () from /lib/libc.so.6
#2  0xb6de4bfa in qt_safe_select (nfds=nfds@entry=16, fdread=fdread@entry=0xbfef3390, fdwrite=fdwrite@entry=0xbfef3410, fdexcept=fdexcept@entry=0x0, orig_timeout=0x0) at kernel/qcore_unix.cpp:83
#3  0xb6d9016b in select_msecs (nfds=16, fdread=0xbfef3390, fdwrite=0xbfef3410, timeout=-1) at io/qprocess_unix.cpp:1013
#4  0xb6d91c4b in QProcessPrivate::waitForFinished (this=this@entry=0xa56ae40, msecs=msecs@entry=-1) at io/qprocess_unix.cpp:1229
#5  0xb6d4572a in QProcess::waitForFinished (this=this@entry=0xbfef3508, msecs=msecs@entry=-1) at io/qprocess.cpp:1759
#6  0xb6d4b8ed in QProcess::execute (program=..., arguments=...) at io/qprocess.cpp:2159
#7  0xb7063006 in KToolInvocation::startKdeinit () at /usr/src/debug/kdelibs-4.12.95/kdecore/kernel/ktoolinvocation.cpp:391
#8  0xb70631c1 in KToolInvocation::klauncher () at /usr/src/debug/kdelibs-4.12.95/kdecore/kernel/ktoolinvocation.cpp:62
#9  0xb38c6c85 in KIO::Slave::createSlave (protocol=..., url=..., error=@0xbfef36d0: 171613456, error_text=...) at /usr/src/debug/kdelibs-4.12.95/kio/kio/slave.cpp:428
#10 0xb38b9853 in KIO::ProtoQueue::createSlave (this=this@entry=0x9fa9140, protocol=..., job=job@entry=0xa329da0, url=...) at /usr/src/debug/kdelibs-4.12.95/kio/kio/scheduler.cpp:537
#11 0xb38bfcba in KIO::ProtoQueue::startAJob (this=0x9fa9140) at /usr/src/debug/kdelibs-4.12.95/kio/kio/scheduler.cpp:624
#12 0xb6dccc55 in QMetaObject::activate (sender=sender@entry=0x9fa9174, m=m@entry=0xb6f244b8 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3556
#13 0xb6e1d895 in QTimer::timeout (this=this@entry=0x9fa9174) at .moc/release-shared/moc_qtimer.cpp:147
#14 0xb6dd6516 in QTimer::timerEvent (this=0x9fa9174, e=0xbfef3be0) at kernel/qtimer.cpp:280
#15 0xb6dd111c in QObject::event (this=0x9fa9174, e=0xbfef3be0) at kernel/qobject.cpp:1165
#16 0xb62a0ed4 in QApplicationPrivate::notify_helper (this=0x924c878, receiver=0x9fa9174, e=0xbfef3be0) at kernel/qapplication.cpp:4562
#17 0xb62a7903 in QApplication::notify (this=0xbfef3ef0, receiver=receiver@entry=0x9fa9174, e=e@entry=0xbfef3be0) at kernel/qapplication.cpp:4348
#18 0xb7506ea4 in KApplication::notify (this=0xbfef3ef0, receiver=0x9fa9174, event=0xbfef3be0) at /usr/src/debug/kdelibs-4.12.95/kdeui/kernel/kapplication.cpp:311
#19 0xb6db7fba in QCoreApplication::notifyInternal (this=0xbfef3ef0, receiver=0x9fa9174, event=event@entry=0xbfef3be0) at kernel/qcoreapplication.cpp:949
#20 0xb6dea3af in sendEvent (event=0xbfef3be0, receiver=<optimized out>) at kernel/qcoreapplication.h:231
#21 QTimerInfoList::activateTimers (this=this@entry=0x924c32c) at kernel/qeventdispatcher_unix.cpp:636
#22 0xb6de7398 in timerSourceDispatch (source=source@entry=0x924c2f8) at kernel/qeventdispatcher_glib.cpp:186
#23 0xb595b7de in g_main_dispatch (context=0x91aceb8, context@entry=0x91a77c8) at gmain.c:3066
#24 g_main_context_dispatch (context=context@entry=0x91aceb8) at gmain.c:3642
#25 0xb595bb88 in g_main_context_iterate (context=context@entry=0x91aceb8, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3713
#26 0xb595bc48 in g_main_context_iteration (context=0x91aceb8, may_block=1) at gmain.c:3774
#27 0xb6de75ef in QEventDispatcherGlib::processEvents (this=this@entry=0x9228938, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#28 0xb6350f3e in QGuiEventDispatcherGlib::processEvents (this=0x9228938, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#29 0xb6db6a03 in QEventLoop::processEvents (this=this@entry=0xbfef3e08, flags=...) at kernel/qeventloop.cpp:149
#30 0xb6db6d29 in QEventLoop::exec (this=this@entry=0xbfef3e08, flags=...) at kernel/qeventloop.cpp:204
#31 0xb6dbc4fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#32 0xb629f364 in QApplication::exec () at kernel/qapplication.cpp:3823
#33 0xafccf999 in kdemain (argc=2, argv=0x92243a0) at /usr/src/debug/kde-baseapps-4.12.95/konqueror/src/konqmain.cpp:227
#34 0x0804fba3 in launch (argc=<optimized out>, argc@entry=2, _name=_name@entry=0x922c5dc "konqueror", args=<optimized out>, args@entry=0x922c5e6 "", cwd=cwd@entry=0x922c5e7 "/home/joachim", envc=envc@entry=101, envs=<optimized out>, envs@entry=0x922c5f9 "XDG_VTNR=7", reset_env=true, tty=tty@entry=0x0, avoid_loops=false, startup_id_str=startup_id_str@entry=0x922d27e "joachimhp.workgroup;1395597872;673044;1927_TIME24209185") at /usr/src/debug/kdelibs-4.12.95/kinit/kinit.cpp:726
#35 0x08050a73 in handle_launcher_request (sock=sock@entry=60, who=<optimized out>) at /usr/src/debug/kdelibs-4.12.95/kinit/kinit.cpp:1218
#36 0x080510c8 in handle_requests (waitForPid=waitForPid@entry=0) at /usr/src/debug/kdelibs-4.12.95/kinit/kinit.cpp:1402
#37 0x0804c796 in main (argc=4, argv=0xbfef47a4, envp=0xbfef47b8) at /usr/src/debug/kdelibs-4.12.95/kinit/kinit.cpp:1899

Reported using DrKonqi
Comment 1 Frank Reininghaus 2014-03-23 19:02:34 UTC
Thanks for the bug report.

@Emmanuel: it seems that Thomas Richard is still the default assignee for "plugins: dropbox". Shall I change that and make you the default assignee for this product? (dolphin-bugs-null is currently always added as CC automatically for new reports, and I think we should keep that).
Comment 2 Emmanuel Pescosta 2014-03-23 23:14:24 UTC
> Shall I change that and make you the default assignee for this product?
If you prefer it, yes.

> dolphin-bugs-null is currently always added as CC automatically for new reports, and I think we > should keep that
Yes definitely, just started watching this list ;)
Comment 3 Emmanuel Pescosta 2014-03-24 00:19:26 UTC
I'm afraid that we can't do anything about it in Dolphin.

I think it is a bug in Qt, looks like fd_set, select, ... related problems.
According to __chk_fail () there is a bufferoverflow somewhere?!

http://refspecs.linux-foundation.org/LSB_4.0.0/LSB-Core-generic/LSB-Core-generic/libc---chk-fail-1.html

Can you reproduce this crash?

Thanks for your help!
Comment 4 Joachim Mairböck 2014-03-24 07:39:57 UTC
I had the same situation occur again yesterday, and it crashed again like this (I didn't inspect the stack trace though). I also haven't tested it in Dolphin alone, or at least it never occured to me there yet.
Comment 5 Emmanuel Pescosta 2014-03-24 15:29:30 UTC
Can you provide some more information?
Any special settings?
Does this problem occur randomly or after some specific time?
High or normal memory usage in Konqueror?
Big folders?
Dropbox client version?
...

Thanks for your help!
Comment 6 Joachim Mairböck 2014-03-24 17:42:52 UTC
I just tried opening my home folder (which contains my Dropbox folder) in standalone Dolphin. It crashed too, nearly instantly (after 2 seconds). So this is independent of Konqueror. DrKonqi didn't appear though.

I have about 1.7 GB in my Dropbox folder, some of them are shared with others.

Dropbox Version 2.6.5

I'll attach a log of the console output of Dolphin.
Comment 7 Joachim Mairböck 2014-03-24 17:44:44 UTC
Created attachment 85720 [details]
Console output from crash
Comment 8 Frank Reininghaus 2014-03-24 22:54:29 UTC
@Joachim: Running Dolphin in Valgrind might help to identify the cause of the problem, but I'm not sure. In any case, it will make Dolphin quite slow, so I don't know if testing this will work reasonably. If you want to try it, have a look at

http://community.kde.org/Dolphin/FAQ/Crashes

Thanks for your help.

(In reply to comment #2)
> > Shall I change that and make you the default assignee for this product?
> If you prefer it, yes.

OK, I'll change that then. Thomas is not actively working on the plugin any more AFAIK, so IMHO it does not make much sense to have him as the default assignee.

> > dolphin-bugs-null is currently always added as CC automatically for new reports, and I think we > should keep that
> Yes definitely, just started watching this list ;)

OK, that's good :-)
Comment 9 Joachim Mairböck 2014-03-28 19:34:31 UTC
Created attachment 85819 [details]
Valgrind log

I have tried running Dolphin under valgrind and attaching the log here.

Interestingly, DrKonqi appeared, which otherwise didn't happen when running Dolphin standalone.
Comment 10 Frank Reininghaus 2014-03-30 16:24:38 UTC
Thanks for the Valgrind log!

The interesting part seems to be this error output from the application:

QObject: Cannot create children for a parent that is in a different thread.
(Parent is QTcpSocket(0xcebfbac), parent's thread is QThread(0xad4fb88), current thread is UpdateItemStatesThread(0x110eafa0)
KCrash: Application 'dolphin' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
dolphin: Fatal IO error: client killed

Apparently something in the UpdateItemStatesThread tries to create a child for a parent QObject that belongs to the main thread?
Comment 11 Frank Reininghaus 2014-04-02 21:30:03 UTC
*** Bug 332983 has been marked as a duplicate of this bug. ***
Comment 12 Emmanuel Pescosta 2014-04-03 00:11:48 UTC
Review-Request: https://git.reviewboard.kde.org/r/117344/

Needs testing, because I can't reproduce the crash. Thanks :)
Comment 13 Erik Hahn 2014-04-03 03:52:08 UTC
> Review-Request: https://git.reviewboard.kde.org/r/117344/
> 
> Needs testing, because I can't reproduce the crash. Thanks :)

Works flawlessly.
Comment 14 Emmanuel Pescosta 2014-04-03 10:54:17 UTC
(In reply to comment #13)
> Works flawlessly.

Great :) Thanks for testing!
Comment 15 Emmanuel Pescosta 2014-04-03 11:15:01 UTC
Git commit 3f0efce0517a0bc3bb0564fd3000889c67bce277 by Emmanuel Pescosta.
Committed on 03/04/2014 at 00:03.
Pushed by emmanuelp into branch 'master'.

Fix crash on startup caused by Dropbox plugin

Create the item state socket on "begin retrieval" and delete
it again in "end retrieval".
FIXED-IN: 4.13.0
REVIEW: 117344

M  +3    -6    dropbox/fileviewdropboxplugin.cpp

http://commits.kde.org/dolphin-plugins/3f0efce0517a0bc3bb0564fd3000889c67bce277
Comment 16 Emmanuel Pescosta 2014-04-03 11:18:44 UTC
Git commit 671b27877b22b0e9ba3dd2bdaa0a3909c501161f by Emmanuel Pescosta.
Committed on 03/04/2014 at 00:03.
Pushed by emmanuelp into branch 'KDE/4.13'.

Fix crash on startup caused by Dropbox plugin

Create the item state socket on "begin retrieval" and delete
it again in "end retrieval".
FIXED-IN: 4.13.0
REVIEW: 117344

M  +3    -6    dropbox/fileviewdropboxplugin.cpp

http://commits.kde.org/dolphin-plugins/671b27877b22b0e9ba3dd2bdaa0a3909c501161f
Comment 17 Frank Reininghaus 2014-04-08 06:27:10 UTC
*** Bug 333185 has been marked as a duplicate of this bug. ***
Comment 18 Simon Andric 2015-07-11 22:25:27 UTC
Created attachment 93569 [details]
New crash information added by DrKonqi

dolphin (15.04.0) on KDE Platform 4.14.6 using Qt 4.8.6

- What I was doing when the application crashed:

deleting some files in dolphin --- i have not used konqueror, nor i have any dropbox plugin (as far as i know)... all of a sudden this crash happen...

i use kubuntu-ci-unstable (wily) PPA,,,

nice day

Simon :)

-- Backtrace (Reduced):
#6  0x00007f5c15905267 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007f5c15906eca in __GI_abort () at abort.c:89
[...]
#9  0x00007f5c159e8e8c in __GI___fortify_fail (msg=<optimized out>, msg@entry=0x7f5c15a5ed44 "buffer overflow detected") at fortify_fail.c:38
#10 0x00007f5c159e6e80 in __GI___chk_fail () at chk_fail.c:28
#11 0x00007f5c159e8dd7 in __fdelt_chk (d=<optimized out>) at fdelt_chk.c:25